=== debian/changelog ===
ldb (1:0.9.24-1) experimental; urgency=low

  * New upstream release.
   + Add python-ldb-dev package.
  * Add watch file.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 23 Oct 2010 20:00:40 +0200
