=== debian/control ===
Source: ldb
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 6.0.7~), libtdb-dev (>= 1.2.9~), libtalloc-dev (>= 2.0.5~), libtevent-dev (>= 0.9.10~), pkg-config, libpopt-dev, docbook-xsl, docbook-xml, xsltproc, python-dev, python-central (>= 0.5.6), python-tdb (>= 1.2.9~), libldap2-dev, python-talloc-dev (>= 2.0.5~)
Homepage: http://ldb.samba.org/
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/pkg-samba/ldb/unstable
XS-Python-Version: all

Package: libldb0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LDAP-like embedded database - shared library
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It provides a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the shared library file.

Package: ldb-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LDAP-like embedded database - tools
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains bundled test and utility binaries

Package: libldb-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libldb0 (= ${binary:Version}), libtalloc-dev, pkg-config, libtdb-dev, ${misc:Depends}
Description: LDAP-like embedded database - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files.

Package: python-ldb
Section: python
Architecture: any
Depends: ${python:Depends}, libldb0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for LDB
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 This package contains the Python bindings.

Package: python-ldb-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, python-ldb (= ${binary:Version}), libldb-dev, pkg-config, ${misc:Depends}
Description: LDB python bindings - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files for the Python bindings.
