=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp
WAF=buildtools/bin/waf

configure: configure-stamp
configure-stamp:
	dh_testdir
	PYTHON=`which python` PYTHON_CONFIG=`which python-config` CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-rpath --disable-rpath-install \
		--bundled-libraries=NONE \
		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		--with-modulesdir=/usr/lib/ldb/modules
	touch configure-stamp

get-orig-source:
	./debian/build-orig.sh

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp
	-$(WAF) clean
	rm -rf buildtools/bin/.waf-*
	rm -f buildtools/wafsamba/*.pyc
	dh_clean

install: configure
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(DESTDIR)
	ar cr $(DESTDIR)/usr/lib/libldb.a bin/default/common/*.o
	dh_install --fail-missing --list-missing --sourcedir=$(DESTDIR)

binary-indep: 
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installman
	dh_installexamples
	dh_installchangelogs 
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -- -c4
	dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure
